% Creo la matrice che scriverò su DB
function DATAinsert = cellMakerTuL(IDcentralina,DTcatena,NodeNum,cTuL,...
    ListaDate,ARRAYdate_TuL,X_TuL,Xstar_TuL,Y_TuL,Z_TuL,Zstar_TuL,Xlocal_TuL,...
    Ylocal_TuL,Zlocal_TuL,SegStar,HShift_local_TuL,TempDef_TuL,Area_TuL,...
    Speed_local_TuL,Acceleration_local_TuL,ErrTunnelLink)
            
TempDef_TuL = TempDef_TuL';

l = ListaDate;
[r,~] = size(SegStar);

ini = 1;
DATAinsert = cell(l,20);

jj = 1;
for ii=ini:l
    DATAinsert{jj,1} = IDcentralina;
    DATAinsert{jj,2} = DTcatena;
    DATAinsert{jj,3} = NodeNum;
    DATAinsert{jj,4} = datestr(ARRAYdate_TuL(ii),'yyyy-mm-dd');
    DATAinsert{jj,5} = datestr(ARRAYdate_TuL(ii),'HH:MM:SS');
    DATAinsert{jj,6} = X_TuL(cTuL,ii);
    DATAinsert{jj,7} = Xstar_TuL(cTuL,ii);
    DATAinsert{jj,8} = Y_TuL(cTuL,ii);
    DATAinsert{jj,9} = Z_TuL(cTuL,ii);
    DATAinsert{jj,10} = Zstar_TuL(cTuL,ii);
    DATAinsert{jj,11} = Xlocal_TuL(cTuL,ii);
    DATAinsert{jj,12} = Ylocal_TuL(cTuL,ii);
    DATAinsert{jj,13} = Zlocal_TuL(cTuL,ii);
    if cTuL > r % sono finiti i segmenti della stella
        DATAinsert{jj,14} = 0;
    else
        DATAinsert{jj,14} = SegStar(cTuL,ii);
    end
    DATAinsert{jj,15} = HShift_local_TuL(cTuL,ii);
    DATAinsert{jj,16} = TempDef_TuL(cTuL,ii);
    DATAinsert{jj,17} = Speed_local_TuL(cTuL,ii);
    DATAinsert{jj,18} = Acceleration_local_TuL(cTuL,ii);
    DATAinsert{jj,19} = Area_TuL(1,ii);
    DATAinsert{jj,20} = ErrTunnelLink(cTuL,ii);
    jj = jj+1;
end

end